.welcome__section {
    background-image: $welcome;
    color: $white;

    .section__title {
        display: none;

        &::after {
            background-color: $white;
        }

        &::before {
            background-color: $white;
        }

        @media (max-width: 768px) {
            display: flex;
        }
    }

    .welcome__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: relative;

        @media (max-width: 768px) {
            gap: 40px;
        }

        @media (max-width: 576px) {
            align-items: flex-start;
            gap: 30px;
        }

        @media (max-width: 425px) {
            flex-direction: column;
            align-items: center;
        }

        .welcome__info {
            display: flex;
            flex-direction: column;
            gap: 40px;

            @media (max-width: 1440px) {
                gap: 20px;
            }

            @media (max-width: 768px) {
                order: 2;
                width: 100%;
            }

            .name__title {
                @include nameTitle;
            }
    
            .name__description {
                @include nameDescription;
            }
    
            .call__link {
                @include callLink;
            }
        }
    
        .welcome__photo {
            position: relative;

            .mobile__link {
                display: none;

                @media (max-width: 425px) {
                    display: flex;
                    position: absolute;
                    top: -10px;
                    right: -10px;
                    z-index: 1;
                   

                    svg {
                        width: 60px;
                        height: 60px;
                        animation: scale 2.8s infinite;
                        transition: all .2s ease-out;

                        @keyframes scale {
                            0% {transform: scale(1.0);
                            }

                            50% {transform: scale(1.4);
                            }

                            100% {transform: scale(1.0);
                            }
                        }
                    }
                }
            }

            .circle-first {
                width: 450px;
                height: 450px;
                border-radius: 255.5px 35px 255.5px 255.5px;
                background-color: $orange;
                position: relative;
                overflow: hidden;
                background-image: url('../img/main/photo.jpeg');
                background-repeat: no-repeat;
                background-size: cover;
                background-position: center;

                @media (max-width: 1440px) {
                    width: 360px;
                    height: 360px;
                }

                @media (max-width: 768px) {
                    width: 192px;
                    height: 192px;
                    background-color: $snuff;
                }

                @media (max-width: 576px) {
                    width: 123px;
                    height: 123px;
                }

                @media (max-width: 425px) {
                    width: 276px;
                    height: 276px;
                }

                .photo {
                    width: 100%;
                    position: absolute;
                    bottom: -20px;
                    right: -50px;

                    @media (max-width: 768px) {
                        right: 50%;
                        transform: translateX(65%);
                    }
                }
            }

            .circle-second {
                position: absolute;
                bottom: 0px;
                right: 0;
                background-color: $royalBlue;
                width: 150px;
                height: 150px;
                border-radius: 255.5px 35px 255.5px 255.5px;
                transform: rotate(270deg);

                @media (max-width: 1440px) {
                    width: 120px;
                    height: 120px;
                }

                @media (max-width: 768px) {
                    width: 80px;
                    height: 80px;
                    right: -10px;
                    bottom: -10px;
                }

                @media (max-width: 576px) {
                    width: 60px;
                    height: 60px;
                }

                @media (max-width: 425px) {
                    width: 100px;
                    height: 100px;
                    bottom: -10px;
                }

                .technology-icons {
                    position: relative;
                    top: 65px;
                    transform: rotate(90deg);

                    @media (max-width: 1440px) {
                        top: 55px;

                        .swiper-slide {
                            svg {
                                width: 60px;
                                height: 60px;
                            }
                        }
                    }

                    @media (max-width: 768px) {
                        top: 35px;

                        .swiper-slide {
                            svg {
                                width: 42px;
                                height: 42px;
                            }
                        }
                    }

                    @media (max-width: 576px) {
                        top: 25px;

                        .swiper-slide {
                            svg {
                                width: 32px;
                                height: 32px;
                            }
                        }
                    }

                    @media (max-width: 425px) {
                        top: 45px;

                        .swiper-slide {
                            svg {
                                width: 52px;
                                height: 52px;
                            }
                        }
                    }


                }
            }

            @media (max-width: 768px) {
                order: 1;
            }
        }
    }
}

.about__section {
    background-image: $about;
   
    .section__title {
        color: $royalBlue;
    }

    .about__wrapper {
        display: flex;
        gap: 100px;

        @media (max-width: 1440px) {
            gap: 40px;
        }

        @media (max-width: 1024px) {
            flex-direction: column-reverse;
        }
        
        .about__skills {
            flex: 0 0 50%;

            @media (max-width: 1024px) {
                flex: 0 0 100%;
                display: flex;
                flex-direction: column;
            }

            .skills__block {
                background-color: $white;
                max-width: 100%;
                width: fit-content;
                padding: 25px 40px 25px 25px;
                border-radius: 15px 83.5px 83.5px 55px;
                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                &:not(:last-child) {
                    margin-bottom: 40px;
                }

                @media (max-width: 1024px) {
                    &:nth-child(1) {
                        padding: 25px 25px 25px 40px;
                        border-radius: 83.5px 15px 55px 83.5px;
                        align-self: end;
                    }

                    &:nth-child(2) {
                        width: 70%;
                    }

                    &:nth-child(3) {
                        padding: 25px 25px 25px 40px;
                        border-radius: 83.5px 15px 55px 83.5px;
                        align-self: end;
                    }

                }

                @media (max-width: 576px) {
                    &:nth-child(2) {
                        width: fit-content;
                    }
                }
            }
        }

        .about__info {
            display: flex;
            flex-direction: column;
            align-items: end;

            .info__block {
                &:not(:last-child) {
                    margin-bottom: 40px;
                }
            }
           
            .info__amount {
                display: flex;
                gap: 100px;
                background-color: $white;
                width: fit-content;
                padding:  25px 25px 25px 40px;
                border-radius:  83.5px 15px 55px 83.5px;
                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                @media (max-width: 1440px) {
                    gap: 40px;
                }

                @media (max-width: 1024px) {
                    margin-bottom: 40px;
                }

                @media (max-width: 576px) {
                    gap: 25px;
                }

                @media (max-width: 425px) {
                    gap: 20px;
                }
                
                .amount__block {
                    .amount__title {
                        @include amountTitle;
                    }

                    .amount__text {
                        @include amountText;
                    }
                }
            }

            .reviews {
                width: fit-content;
                overflow: hidden;
                padding:  25px 25px 25px 40px;
                border-radius:  83.5px 15px 55px 83.5px;
                background-color: $white;
                box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

                .swiper-wrapper {
                    max-height: 240px;
                  
                    @media (max-width: 1280px) {
                        max-height: 260px;
                    }

                    @media (max-width: 1024px) {
                        max-height: 240px;
                    }

                    @media (max-width: 768px) {
                        max-height: 260px;
                    }

                    @media (max-width: 465px) {
                        max-height: 280px;
                    }

                    @media (max-width: 425px) {
                        max-height: 330px;
                    }

                    @media (max-width: 375px) {
                        max-height: 360px;
                    }
                }

                @media (max-width: 1024px) {
                    width: 70%;
                    padding: 25px 40px 25px 25px;
                    border-radius: 15px 83.5px 83.5px 55px;
                    align-self: baseline;
                }

                @media (max-width: 576px) {
                    width: fit-content;
                }
                    .review__stars {
                        display: flex;
                        justify-content: center;
                        gap: 15px;
                        margin-bottom: 20px;
                    }
    
                    .review__text {
                        @include blockText;
                        
                        margin-bottom: 20px;
                    }
    
                    .review__author {
                        display: flex;
                        align-items: center;
                        gap: 20px;
    
                        .author__photo {
                            width: 65px;
                            border-radius: 100%;
                        }
    
                        .author__description {
                            @include blockText;
                            
                            .author__name {
                                font-weight: 600;
                            }
    
                            .author__text {
                                font-style: italic;
                            }
                        }
                    }
                }
            }
        }
}

.projects__section {
    .section__title {
        color: $royalBlue;
    }

    .description__block {
        background-color: $white;
        color: $white;
        text-align: left;
        width: fit-content;
        padding: 25px 40px 25px 25px;
        border-radius: 15px 83.5px 83.5px 55px;
        box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);
        margin-bottom: 60px;
    }

    .project__list {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(260px, 1fr));
        gap: 40px;
       
        @media (max-width: 768px) {
            grid-template-columns: repeat(auto-fill,minmax(170px,1fr));
            gap: 30px;
        }

        .project__item {
            background-color: $white;
            border-radius: 45% 15px 45.5px 45.5px;
            height: auto;
            width: auto;
            box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);
            transition: 0.4s;
            cursor: pointer;
            visibility: hidden;
            position: relative;
            z-index: 10;

            .technology__block {
                display: flex;
                gap: 10px;
                position: absolute;
                z-index: 11;
                right: 15px;
                top: 10px;

                animation: scale 3s infinite;
                transition: all .2s ease-out;

                @keyframes scale {
                    0% {transform: scale(1.0);
                    }

                    50% {transform: scale(1.2);
                    }


                    100% {transform: scale(1.0);
                    }
                }

                .technology {

                    @media (max-width: 768px) {
                        width: 25px;
                        height: 25px;
                    }

                    @media (max-width: 399px) {
                        width: 45px;
                        height: 45px;
                    }
                }
            }

            .item__wrapper {
                display: flex;
                flex-direction: column;
                align-items: center;
                text-align: center;
                padding: 30px;

                @media (max-width: 768px) {
                   padding: 20px;
                }

                .sub-item__wrapper {
                    position: relative;
                    margin-bottom: 20px;
                    overflow: hidden;
                    border-radius: 255.5px 35px 255.5px 255.5px;
                    
                    .project__image {
                        display: block;
                        width: 100%;
                        height: 100%;
                        position: relative;
                        transition: 0.4s ease;
                        border-radius: 255.5px 35px 255.5px 255.5px;
                    }

                    .overlay__image {
                        @include overlayImage; 
                        border-radius: 255.5px 35px 255.5px 255.5px;
                        
                    }

                    .overlay__text {
                        @include overlayText; 
                    }
                }
                
                .project__name {
                    @include blockTitle;
                }

                .project__description {
                    @include blockText;

                }
            } 

            &:hover {
                @media (min-width: 1024px) {
                    .item__wrapper {
                        .sub-item__wrapper {
                            .project__image  {
                                filter: blur(5px);
                            }
    
                            .overlay__image {
                                @include overlayImageActive; 
                                
                            }
        
                            .overlay__text {
                                @include overlayTextActive; 
                            }
                        }
                    }
                }
            }
        }
    }
}

.education {
    background-image: $education;
}

.work {
    background-image: $work;
}

.support {
    background-image: $support;
}
